Shumway addon demos look like the video is just loading forever, on Linux, with error console saying: HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource [URL] failed.

RESOLVED INCOMPLETE

Status

defect
RESOLVED INCOMPLETE
4 years ago
3 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

()

Reporter

Description

4 years ago
+++ Initially filed via the problem reporting functionality in Shumway +++
Please add any further information that you deem helpful here:

Trying to view https://www.facebook.com/video.php?v=141192919273962&set=vb.22893372268 with Shumway extension installed.

The time just remains at 0:00/0:00, and play button has no effect, and the video just stays black (aside from the shumway overlay and the video controls).

----------------------

Technical Information:
Firefox version: 37.0a1 (20150112030201)
Shumway version: 0.9.3584
Reporter

Comment 1

4 years ago
I hit this bug in a fresh Firefox profile, with just the shumway XPI installed (from https://www.dropbox.com/s/k0juqnbn5943b7j/shumway.xpi?dl=0 ).

Haven't gotten it to work yet. Please let me know if there's anything else I should try, or any other information I can provide.
Reporter

Comment 2

4 years ago
I tried the other demo video, at http://jwsolution.net/index.php/demo . If I click the "play" button on that video, I get a pink stripe down the video, but nothing playing, and this shows up in error console:
{
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource http://content.bitsontherun.com/videos/uMp5r6eZ-380099.mp4 failed.
}

Similarly, I've now noticed this in my error console, when I try to play the Facebook demo:
{
HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource https://fbcdn-video-l-a.akamaihd.net/hvideo-ak-xpa1/v/t43.1792-2/1225499_569176883142228_50042_n.mp4?rl=2812&vabr=1875&oh=90eab5df20a4e5dd8cd43ceb31501c3e&oe=54B43F29&__gda__=1421098663_e074261b234a4c57cee4a5367a5156bc failed.
}

I'm guessing this is indicating that I don't have platform support for <video> with H.264.  Is there a better way we can detect & signal this in the Shumway add-on? I'll bet a lot of the people who are interested in the addon are running linux (since that's where flash support is flaky), and right now, shumway just looks like it's trying forever to load the video, without any indication that it can't work.
Summary: Shumway not playing demo BMW Facebook video → Shumway addon demos don't work, on Linux, with error console saying: HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource [URL] failed.
Thanks, signalling a lacking video decoder is a good idea.

We should keep this in mind when talking with UX people.
Blocks: 1110035
Reporter

Updated

4 years ago
Summary: Shumway addon demos don't work, on Linux, with error console saying: HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource [URL] failed. → Shumway addon demos look like the video is just loading forever, on Linux, with error console saying: HTTP "Content-Type" of "video/mp4" is not supported. Load of media resource [URL] failed.
For what it's worth, I hit the same "mp4 unsupported" problem on Thursday on a Fedora installation. The next day, I updated Nightly and pulled the Shumway extension from the repo's tip, and mp4 playback started working.

I'm not sure what else I changed (nothing in about:config, and nothing system-wide).
Reporter

Comment 5

4 years ago
Interesting.

I do have up-to-date Nightly, and I'm using the Shumway XPI that was linked in today's meeting notes. (hosted on Dropbox)  And my Shumway XPI now reports itself as version 0.9.3600, which is slightly newer than the version-number that was auto-populated in comment 0, so it must've auto-updated itself (but that didn't fix the issue).

I also just tried updating it by installing http://mozilla.github.io/shumway/extension/firefox/shumway.xpi , but that didn't increase the version-number any further, and I'm still getting the same behavior described in comment 0 and comment 2.
Duplicate of this bug: 1122130
Shumway depends on Firefox to use platform decoders, which are not available on many Linux machines. We should morph this bug into a UX bug because Shumway should show an error to the user (and maybe provide a button to fall back to Flash).
Blocks: shumway-jw2
Duplicate of this bug: 1071728
No longer blocks: shumway-jw2
Product: Firefox → Firefox Graveyard
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.